org.apache.catalina.ssi

## Class SSIServletExternalResolver.ServletContextAndPath

- java.lang.Object
- - org.apache.catalina.ssi.SSIServletExternalResolver.ServletContextAndPath

- Enclosing class:
    SSIServletExternalResolver

      protected static class SSIServletExternalResolver.ServletContextAndPath
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `path`
    `protected ServletContext` | `servletContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSIServletExternalResolver.ServletContextAndPath(ServletContext servletContext, String path)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPath()`
    `ServletContext` | `getServletContext()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### servletContext

          protected final ServletContext servletContext

    - #### path

          protected final String path

  - ### Constructor Detail

    - #### SSIServletExternalResolver.ServletContextAndPath

          public SSIServletExternalResolver.ServletContextAndPath(ServletContext servletContext,
                                                          String path)

  - ### Method Detail

    - #### getServletContext

          public ServletContext getServletContext()

    - #### getPath

          public String getPath()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.